import { FlowNodeOptions } from '../../type';
import { default as Base } from '../base';

export interface ListLoopParams {
    variablePath: string[];
    loopFirstNodeId?: string;
}
export default class ListLoopNode extends Base<ListLoopParams> {
    static Type: string;
    constructor(option: FlowNodeOptions);
    protected _execute(): Promise<void>;
}
